package com.cyksj.model.entity;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/*
 *项目名: netflix
 *文件名: EquipmentUserDistributeTransportBenefits
 *创建者: JavaZou
 *创建时间:2023/8/9 10:03
 */
@Getter
@Setter
public class EquipmentUserDistributeTransportBenefits extends BaseEntity{
	/**
	 * 实物分销人id
	 */
	private Long shareId;

	private Long orderId;

	private BigDecimal balance;

	private Status status;

	private Date sendTime;

	@Getter
	public enum Status {
		hasPayment("已付款"),
		transport("已发货"),
		refund("已退款"),
		complete("已完成"),
		;
		String desc;

		Status(String desc) {
			this.desc = desc;
		}
	}
}
